import { post, upload } from "@/request/axios.js";

export const getRiskPointList = (params) => post("/riskunit/list", params); // 风险点单元列表
export const setRiskPointDelete = (params) => post("/riskunit/delete", params); // 风险点单元删除
export const setRiskPointImport = (params) =>
  upload("/riskunit/readExcel", params); // 风险点单元导入
export const setRiskPointBatchDelete = (params) =>
  post("/riskunit/deleteAll", params); // 风险点单元批量删除
export const getRiskPointView = (params) => post("/riskunit/goEdit", params); // 风险点单元查看
export const setRiskPointAdd = (params) => post("/riskunit/add", params); // 风险点单元添加
export const setRiskPointEdit = (params) => post("/riskunit/edit", params); // 风险点单元修改
export const getRiskPointInspectList = (params) =>
  post("/riskunit/getRisByUnitId", params); // 风险点单元检查内容
export const getIdentifyingPartsList = (params) =>
  post("/identificationparts/list", params); // 辨识部位列表
export const getIdentifyingPartsView = (params) =>
  post("/identificationparts/goEdit", params); // 辨识部位查看
export const setIdentifyingPartsDelete = (params) =>
  post("/identificationparts/delete", params); // 辨识部位删除
export const setIdentifyingPartsBatchDelete = (params) =>
  post("/identificationparts/deleteAll", params); // 辨识部位批量删除
export const setIdentifyingPartsImport = (params) =>
  upload("/identificationparts/readExcel", params); // 辨识部位导入
export const getRiskPointListAll = (params) =>
  post("/identificationparts/getSelect", params); // 风险点单元列表所有
export const setIdentifyingPartsAdd = (params) =>
  upload("/identificationparts/add", params); // 辨识部位添加
export const setIdentifyingPartsEdit = (params) =>
  upload("/identificationparts/edit", params); // 辨识部位修改
export const getIdentifyingPartsResourcesRisk = (params) =>
  post("/identificationparts/goEditRes", params); // 辨识部位匹配资源存在风险
export const getIdentifyingPartsRiskView1 = (params) =>
  post("/riskpointTemporary/goRiskEdit", params); // 辨识部位风险查看
export const getIdentifyingPartsRiskView2 = (params) =>
  post("/riskpointTemporary/goEdit", params); // 辨识部位风险查看
export const getIdentifyingPartsRiskView3 = (params) =>
  post("/riskpointTemporary/goResEdit", params); // 辨识部位风险查看
export const setIdentifyingPartsRiskAdd = (params) =>
  post("/riskpointTemporary/add", params); // 辨识部位风险添加
export const setIdentifyingPartsRiskEdit = (params) =>
  post("/riskpointTemporary/edit", params); // 辨识部位风险修改
export const setIdentifyingPartsResourcesRiskSave = (params) =>
  post("/identificationparts/resourceConfig", params); // 辨识部位匹配资源存在风险保存
export const getRiskControlLedgerList = (params) =>
  post("/riskpoint/list", params); // 风险管控台账列表
export const setRiskControlLedgerDelete = (params) =>
  post("/riskpoint/delete", params); // 风险管控台账删除
export const setRiskControlLedgerBatchDelete = (params) =>
  post("/riskpoint/deleteAll", params); // 风险管控台账删除
export const setRiskControlLedgerImport = (params) =>
  upload("/riskpoint/readExcel2", params); // 风险管控台账导入
export const getRiskControlLedgerView = (params) =>
  post("/riskpoint/goEdit", params); // 风险管控台账查看
export const getRiskPointListAllById = (params) =>
  post("/riskpoint/getPointSelect", params); // 风险点单元列表所有按部门查询
export const getIdentifyingPartsListAll = (params) =>
  post("/identificationparts/listAll", params); // 辨识部位列表所有
export const setRiskControlLedgerAdd = (params) =>
  post("/riskpoint/add", params); // 辨识部位添加
export const setRiskControlLedgerEdit = (params) =>
  post("/riskpoint/edit", params); // 辨识部位修改
export const getRiskControlLedgerAllocationList = (params) =>
  post("/riskcheckitem/list", params); // 辨识部位配置列表
export const setRiskControlLedgerAllocationEdit = (params) =>
  post("/riskcheckitem/edit", params); // 辨识部位配置修改
